moovexDocs

Get trips with pagination

Retrieve paginated trips with filters and sorting options.

GET/trips

Query Parameters

ParameterTypeRequiredDescription
sortstringNoSort expression
statusstring[]NoTrip statuses filter
fromDatenumberNoFrom date (unix seconds)
toDatenumberNoTo date (unix seconds)
suppliersstring[]NoSupplier ids filter
attributesstring[]NoAttribute ids filter
driversstring[]NoDriver ids filter
vehiclesstring[]NoVehicle ids filter
profilesstring[]NoProfile ids filter
areasstring[]NoArea ids filter
withDriverbooleanNoRequire trips with driver assigned
withVehiclebooleanNoRequire trips with vehicle assigned
productionIdsstring[]NoProduction ids filter
fromstring[]NoFrom address search terms
tostring[]NoTo address search terms
isMergedbooleanNoFilter merged trips
isSharedTripbooleanNoFilter shared trips
isWaitAndReturnbooleanNoFilter wait-and-return trips
isRoundTripbooleanNoFilter round-trip journeys
isManuallyAssignedbooleanNoFilter manually assigned trips
isManuallyDispatchedbooleanNoFilter manually dispatched trips
isConsistentPassengerRoutingbooleanNoFilter consistent passenger routing
consistentRoutingPairIdsstring[]NoConsistent routing pair ids
hasErrorbooleanNoOnly trips with errors
limitnumberYes-
pagenumberYes-
searchstringNo-

Example Response

{
  "page": 1,
  "limit": 20,
  "totalPages": 1,
  "totalResults": 2,
  "records": [
    {
      "id": 10,
      "date": 1700000000,
      "distance": 12500,
      "duration": 2400,
      "type": "normal",
      "status": "in-route",
      "seats": 8,
      "from": {
        "name": "Depot",
        "lat": 32.1,
        "lng": 34.8
      },
      "to": {
        "name": "Airport",
        "lat": 31.99,
        "lng": 34.89
      },
      "isFavorite": false,
      "reservationsCount": 3,
      "endTripETA": 1700003600,
      "hasAssignLog": true,
      "stops": [
        {
          "id": "stop-1",
          "address": {
            "name": "Depot",
            "lat": 32.1,
            "lng": 34.8
          },
          "date": 1700000000,
          "passengers": [
            {
              "stopType": "pick",
              "reservation": {
                "id": 21,
                "status": "dropped",
                "seats": 2,
                "date": 1700000000,
                "dateType": "pick"
              }
            }
          ]
        }
      ]
    }
  ]
}

On this page